@import url('https://fonts.googleapis.com/css?family=Open+Sans|Poppins&display=swap');

button:disabled {
  cursor: not-allowed;
  pointer-events: all !important;
}

body.wait *, body.wait
{
       cursor: progress !important;
       
}

* {
  box-sizing: border-box;
  font-family: 'Open Sans', sans-serif;
  font-family: 'Poppins', sans-serif;
  margin: 0px;
  background: white;
}

i {
    background-color: transparent;
}
/*---------------------Estilos del header*---------------------*/

.header-login {
  height: 60px;
  margin: 0px;
  background: #344488; 
  display: flex;
  align-items: center;
  justify-content: center;
}
.header-login img {
  display: inline-block;
  max-width: 35%;
  max-height: 55px;
  height: auto;
  background: transparent;
  /* Anulaciones para estilos globales */
  position: static !important;
  margin: 0 !important;
  left: auto !important;
  top: auto !important;
}

h1 {
  text-align: center;
  color: #344488;
  font-family: 'Poppins', sans-serif;
  margin-top: 16px;
}

h2 {
  text-align: center;
  color: #344488;
  font-family: 'Poppins', sans-serif;
  margin-top: 16px;
}

.formulario {
    background: #F5F9FC;
    border: 1px solid #344488;
    border-radius: 10px;
    box-shadow: 0px 0px #848484;
    padding: 10px;
    margin-top: 100px;
}

.formulario h2 {
    background: #F5F9FC;
    margin-top: 10px;
    margin-bottom: 20px;

}

.formulario a {
    font-size: 12px;
    cursor: pointer;
    text-decoration: none;
    color: gray;
    background: #F5F9FC;
}

.formulario a:focus {
    font-size: 12px;
    cursor: pointer;
    text-decoration: none;
    color: gray;
    background: #F5F9FC;
}

form {
    background: #F5F9FC;
}

.reset-password {
    background: #F5F9FC;
}

.mensaje_error p {
  background: #F5F9FC;
}

.form-group input {
  font-size: 15px;
  padding-left: 42px;
  border-radius: 5px;
}

.form-group::before {
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  position: absolute;
  left: 28px;
  font-size: 22px;
}

.form-group#user-group::before{
  content: '\f007';
}

.form-group#contrasena-group::before{
  content: '\f023';  
}


/* Fix for striped table selection */
.table-striped > tbody > tr.alert-primary,
.table-striped > tbody > tr.alert-primary:hover {
  background-color: #cce5ff; /* A color similar to Bootstrap's alert-primary */
}